FindBugsXmlReport (Gradle API 2.10)
Date: 2015-12-21

org.gradle.api.plugins.quality

## Interface FindBugsXmlReport

- All Superinterfaces:
    org.gradle.util.Configurable<Report>, ConfigurableReport, Report, Serializable, SingleFileReport

      @Incubating
      public interface FindBugsXmlReport
      extends SingleFileReport

  The single file XML report for FindBugs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWithMessages()` Whether or not FindBugs should generate XML augmented with human-readable messages.
    `void` | `setWithMessages(boolean withMessages)` Whether or not FindBugs should generate XML augmented with human-readable messages.

    - ### Methods inherited from interface org.gradle.api.reporting.SingleFileReport

      `getOutputType`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, isEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### isWithMessages

          boolean isWithMessages()

      Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

      If `true`, FindBugs will augment the XML with human-readable messages. If `false`, FindBugs will not augment the XML with human-readable messages.

      Returns:
        Whether or not FindBugs should generate XML augmented with human-readable messages.

    - #### setWithMessages

          void setWithMessages(boolean withMessages)

      Whether or not FindBugs should generate XML augmented with human-readable messages.
      Parameters:
        `withMessages` - Whether or not FindBugs should generate XML augmented with human-readable messages.
      See Also:
        `isWithMessages()`